{% extends "base.html" %}

{% block main %}
<!-- barre de recherche -->
<h5>Recherche par</h5>
<form class="mb-5 form-inline md-form form-sm active-cyan-2 mt-2" action="{{url_for('artists_post')}}" method="POST">
    <div class="form-check form-check-inline">
        <input class="form-check-input" type="radio" name="search_option" id="artist" value="artist" checked>
        <label class="form-check-label" for="inlineRadio1">Nom</label>
    </div>
    <div>
        <input class="form-control mr-sm-2" id="search" type="text" name="search" placeholder="Search" aria-label="Search">
        <button class="btn" type="submit"><i class="fas fa-search" aria-hidden="true"></i></button>
        
    </div>
</form>

<!-- listes des artistes -->
<div class="row sample">
    {% for artist in artists[(page-1)*40:page*40] %}
    <div class="mb-4 col-xl-3 col-lg-4 col-md-6 col-sm-6 col-xs-12">
        <div class="card" style="width:248px">
            <a href="{{ url_for('artist', artistid=artist.id) }}">
                <div class="card-header">
                    <h6>{{artist.name}}</h6>
                </div>
            </a>
                <div class="card-header">
                    <h6>{{artist.albums.all()|length}} albums</h6>
                </div>
            </div>
    </div>
    {% endfor %}
</div>

<!-- navigation entre les pages -->
<nav aria-label="Page navigation example">
    <ul class="pagination">
        <li class="page-item">
            <a class="page-link" {% if page > 1 %} href="{{url_for('artists', page=page-1)}}"{% endif %} aria-label="Previous">
            <span aria-hidden="true">&laquo;</span>
            <span class="sr-only">Previous</span>
            </a>
        </li>

        {% if page > 2 %}
        <li class="page-item">
            <a class="page-link"  href="{{url_for('artists', page=page-2)}} ">{{page-2}}</a>
        </li>
        {% else %}
        <li class="page-item">
            <p class="page-link">&nbsp;</p>
        </li>
        {% endif %}

        {% if page > 1 %}
        <li class="page-item">
            <a class="page-link"  href="{{url_for('artists', page=page-1)}} ">{{page-1}}</a>
        </li>
        {% else %}
        <li class="page-item">
            <p class="page-link">&nbsp;</p>
        </li>
        {% endif %}

        
        <li class="page-item">
            <a class="page-link" style="background-color: lightgray;" href="{{url_for('artists', page=page)}}">{{page}}</a>
        </li>


        {% if page < pages %}
        <li class="page-item">
            <a class="page-link" href="{{url_for('artists', page=page+1)}}">{{page+1}}</a>
        </li>
        {% else %}
        <li class="page-item">
            <p class="page-link">&nbsp;</p>
        </li>
        {% endif %}

        {% if page+1 < pages %}
        <li class="page-item">
            <a class="page-link"  href="{{url_for('artists', page=page+2)}} ">{{page+2}}</a>
        </li>
        {% else %}
        <li class="page-item">
            <p class="page-link">&nbsp;</p>
            </li>
        {% endif %}
        <li class="page-item">
            <a class="page-link" {% if page < pages %} href="{{url_for('artists', page=page+1)}}" {% endif %} aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
            </a>
        </li>
    </ul>
</nav>
{% endblock %}
